# TimedEventManager | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TimedEventManager

- Defined in src/timed-event-manager.ts:28

#####
Index

### Constructors

constructor

### Methods

activeEvent
activeEventHasBanner
getEventBannerFilename
getShinyMultiplier
isActive
isEventActive

## Constructors

### constructor

- new TimedEventManager(): TimedEventManager

- #### Returns TimedEventManager

  - Defined in src/timed-event-manager.ts:29

## Methods

### activeEvent

- activeEvent(): TimedEvent

- #### Returns TimedEvent

  - Defined in src/timed-event-manager.ts:38

### activeEventHasBanner

- activeEventHasBanner(): boolean

- #### Returns boolean

  - Defined in src/timed-event-manager.ts:46

### getEventBannerFilename

- getEventBannerFilename(): string

- #### Returns string

  - Defined in src/timed-event-manager.ts:61

### getShinyMultiplier

- getShinyMultiplier(): number

- #### Returns number

  - Defined in src/timed-event-manager.ts:51

### isActive

- isActive(event): boolean

- #### Parameters

  - event: TimedEvent

  #### Returns boolean

  - Defined in src/timed-event-manager.ts:31

### isEventActive

- isEventActive(): boolean

- #### Returns boolean

  - Defined in src/timed-event-manager.ts:42